# Uses of Interface
org.springframework.transaction.interceptor.TransactionAttributeSource

Packages that use TransactionAttributeSource
Package
Description
org.springframework.transaction.annotation
Spring's support for annotation-based transaction demarcation.
org.springframework.transaction.interceptor
AOP-based solution for declarative transaction demarcation.

## Uses of TransactionAttributeSource in org.springframework.transaction.annotation

Classes in org.springframework.transaction.annotation that implement TransactionAttributeSource
Modifier and Type
Class
Description
`class`
`AnnotationTransactionAttributeSource`
Implementation of the `TransactionAttributeSource` interface for working with transaction metadata from annotations.
Methods in org.springframework.transaction.annotation that return TransactionAttributeSource
Modifier and Type
Method
Description
`TransactionAttributeSource`
AbstractTransactionManagementConfiguration.`transactionAttributeSource()`
Methods in org.springframework.transaction.annotation with parameters of type TransactionAttributeSource
Modifier and Type
Method
Description
`BeanFactoryTransactionAttributeSourceAdvisor`
ProxyTransactionManagementConfiguration.`transactionAdvisor(TransactionAttributeSource transactionAttributeSource, TransactionInterceptor transactionInterceptor)`
`TransactionInterceptor`
ProxyTransactionManagementConfiguration.`transactionInterceptor(TransactionAttributeSource transactionAttributeSource)`

## Uses of TransactionAttributeSource in org.springframework.transaction.interceptor

Classes in org.springframework.transaction.interceptor that implement TransactionAttributeSource
Modifier and Type
Class
Description
`class`
`AbstractFallbackTransactionAttributeSource`
Abstract implementation of `TransactionAttributeSource` that caches attributes for methods and implements a fallback policy: 1.
`class`
`CompositeTransactionAttributeSource`
Composite `TransactionAttributeSource` implementation that iterates over a given array of `TransactionAttributeSource` instances.
`class`
`MatchAlwaysTransactionAttributeSource`
Very simple implementation of TransactionAttributeSource which will always return the same TransactionAttribute for all methods fed to it.
`class`
`MethodMapTransactionAttributeSource`
Simple `TransactionAttributeSource` implementation that allows attributes to be stored per method in a `Map`.
`class`
`NameMatchTransactionAttributeSource`
Simple `TransactionAttributeSource` implementation that allows attributes to be matched by registered name.
Methods in org.springframework.transaction.interceptor that return TransactionAttributeSource
Modifier and Type
Method
Description
`TransactionAttributeSource`
TransactionAspectSupport.`getTransactionAttributeSource()`
Return the transaction attribute source.
`final TransactionAttributeSource[]`
CompositeTransactionAttributeSource.`getTransactionAttributeSources()`
Return the TransactionAttributeSource instances that this CompositeTransactionAttributeSource combines.
Methods in org.springframework.transaction.interceptor with parameters of type TransactionAttributeSource
Modifier and Type
Method
Description
`void`
BeanFactoryTransactionAttributeSourceAdvisor.`setTransactionAttributeSource(TransactionAttributeSource transactionAttributeSource)`
Set the transaction attribute source which is used to find transaction attributes.
`void`
TransactionAspectSupport.`setTransactionAttributeSource(TransactionAttributeSource transactionAttributeSource)`
Set the transaction attribute source which is used to find transaction attributes.
`void`
TransactionProxyFactoryBean.`setTransactionAttributeSource(TransactionAttributeSource transactionAttributeSource)`
Set the transaction attribute source which is used to find transaction attributes.
`void`
TransactionAspectSupport.`setTransactionAttributeSources(TransactionAttributeSource... transactionAttributeSources)`
Set multiple transaction attribute sources which are used to find transaction attributes.
Constructors in org.springframework.transaction.interceptor with parameters of type TransactionAttributeSource
Modifier
Constructor
Description
``
`CompositeTransactionAttributeSource(TransactionAttributeSource... transactionAttributeSources)`
Create a new CompositeTransactionAttributeSource for the given sources.
``
`TransactionInterceptor(PlatformTransactionManager ptm, TransactionAttributeSource tas)`
Deprecated.
as of 5.2.5, in favor of `TransactionInterceptor(TransactionManager, TransactionAttributeSource)`
``
`TransactionInterceptor(TransactionManager ptm, TransactionAttributeSource tas)`
Create a new TransactionInterceptor.